<?php

$myFile = "logs/1851firehelmettraininglog.csv";

if (!file_exists($myFile)) {
	$fh = fopen($myFile, 'w') or die("can't open file");
	$stringData = "Date, Time, IP Address, Name, Email, Score, Origin\n";
	fwrite($fh, $stringData);
	fclose($fh);
}

$date = date('Y-m-d');
$time = date('H:i:s');
$ipaddress = $_SERVER["REMOTE_ADDR"];
$referer = $_SERVER["HTTP_REFERER"];
$name = $_POST['name'];
$email = $_POST['email'];
$score = $_POST['score'];

if(preg_match('/bullard.com/i',$referer)) {
	$cdweb = "Web Site";
}
else {
	$cdweb = "CD/Thumbdrive";
}

$fh = fopen($myFile, 'a') or die("can't open file");
$stringData = $date . "," . $time . "," . $ipaddress . "," . $name . "," . $email . "," . $score . "," . $cdweb . "\n";
fwrite($fh, $stringData);
fclose($fh);




////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Send Contact Form Data to Master Contact Script
////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Map Master Contact variables to Form variables
// MASTER:       FORM variable name:
$Source 		= "Bullard.com";
$SubSource 		= "NFPA 1851 Fire Helmet Training";

$results = doSplitName($name);

$FirstName 		= $results['first'];
$LastName 		= $results['last'];
$Email 			= $email;
$Title 			= "";
$CompanyDept 	= "";
$Address1 		= "";
$Address2 		= "";
$City 			= "";
$StateProvince 	= "";
$ZIPPostalCode 	= "";
$Country 		= "";
$GeoIPUsed      = "";
$CountryCode 	= "";
$ContinentCode 	= "";
$Phone 			= "";
$Fax 			= "";
$Industry 		= "";
$Model 			= "";
$UserMessage 	= "";
$Distributor 	= "";
$FireLaw 		= "Fire";
$DoNotContact 	= "";

if($DoNotContact == "No")  { $DoNotContact = "X"; } else { $DoNotContact = ""; }

$ProductLine = "FH";


// Probably don't need to change these:
$IPAddress 		= $_POST['z_IPAddress'];
$UniqueID 	  	= $_POST['z_UniqueID'];
if(!$IPAddress) { $IPAddress = $_SERVER['REMOTE_ADDR']; }
if(!$UniqueID)  { $UniqueID  = sha1(date('YmdHis') . $IPAddress . rand()); }


// Split Full Name into FirstName LastName
function doSplitName($name) {
    $results = array();
	$name = str_replace(",", "", $name); // remove commas
    $r = explode(' ', $name);
    $size = count($r);
    //check first for period, assume salutation if so
    if (mb_strpos($r[0], '.') === false) {
        $results['salutation'] = '';
        $results['first'] = $r[0];
    }
    else {
        $results['salutation'] = $r[0];
        $results['first'] = $r[1];
    }
    //check last for period, assume suffix if so
    if (mb_strpos($r[$size - 1], '.') === false) {
        $results['suffix'] = '';
    }
    else {
        $results['suffix'] = $r[$size - 1];
    }
    //combine remains into last
    $start = ($results['salutation']) ? 2 : 1;
    $end = ($results['suffix']) ? $size - 2 : $size - 1;
    $last = '';
    for ($i = $start; $i <= $end; $i++) {
        $last .= ' '.$r[$i];
    }
    $results['last'] = trim($last);
    return $results;
}



// Post to Master Contact Script
// Ref:  http://www.electrictoolbox.com/php-curl-form-post/
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "http://www.bullard.com/master_contact/insert_new_contact.php");
curl_setopt($ch, CURLOPT_TIMEOUT, 5); // Timeout so that script doesn't hang indefinitely if the server is not responding
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
// curl_setopt($ch, CURLOPT_HEADER, 1);  // **** REMOVE THIS, ONLY FOR TESTING ***
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt( $x, CURLOPT_ENCODING, "UTF-8");
curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type'=>'text/html; charset=utf-8'));
$data = array(
	'UniqueID' 		=> $UniqueID, 
	'IPAddress' 	=> $ipaddress, 
	'Source' 		=> $Source, 
	'SubSource' 	=> $SubSource, 
	'FirstName' 	=> $FirstName, 
	'LastName' 		=> $LastName, 
	'Email' 		=> $Email, 
	'Title' 		=> $Title, 
	'CompanyDept' 	=> $CompanyDept, 
	'Address1' 		=> $Address1, 
	'Address2' 		=> $Address2, 
	'City' 			=> $City, 
	'StateProvince' => $StateProvince, 
	'ZIPPostalCode' => $ZIPPostalCode, 
	'Country' 		=> $Country, 
	'GeoIPUsed' 	=> $GeoIPUsed, 
	'CountryCode'	=> $CountryCode, 
	'ContinentCode' => $ContinentCode, 
	'Phone' 		=> $Phone, 
	'Fax' 			=> $Fax, 
	'Industry' 		=> $Industry, 
	'ProductLine' 	=> "FH", 
	'Model' 		=> $Model, 
	'UserMessage' 	=> "NFPA 1851 Test Score: " . $score . "%", 
	'Distributor' 	=> $Distributor, 
	'FireLaw' 		=> "Fire", 
	'Ranking' 		=> $Ranking, 
	'DoNotContact' 	=> $DoNotContact, 
	'Notes' 		=> $Notes
);
curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
$output = curl_exec($ch);
$info = curl_getinfo($ch);
curl_close($ch);
////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////				
								


?>

