
var sPath=window.location.pathname;
var sPage = sPath.substring(sPath.lastIndexOf('/') + 1);

var sectiontitle = "";
var divider_str = "";

var class_whatis1851 = "";
var class_readstandard = ""; 
var class_bullardsapproach = "";
var class_recordkeeping = "";
var class_guidelines = "";

var class_basiccleaning = "";
var class_chemicals = ""; 
var class_advancedcleaning = "";

var class_routineinsp = "";
var class_advancedinsp = "";

var class_retirement = "";

var showtaketestbutton = "";

// NFPA 1851 Section
var nfpa1851 = /^nfpa1851_/.test(sPage);
var display_nfpa1851 = "none";
if(nfpa1851) {
	var sectiontitle = "NFPA 1851";
	display_nfpa1851 = "block";
	if(sPage == 'nfpa1851_whatis1851.html') { class_whatis1851 = 'menu_link_current'; }
	if(sPage == 'nfpa1851_readstandard.html') { class_readstandard = 'menu_link_current'; }
	if(sPage == 'nfpa1851_bullardsapproach.html') { class_bullardsapproach = 'menu_link_current'; }
	if(sPage == 'nfpa1851_recordkeeping.html') { class_recordkeeping = 'menu_link_current'; }	
	if(sPage == 'nfpa1851_guidelines.html') { class_guidelines = 'menu_link_current'; }	
}

// Cleaning Section
var cleaning = /^cleaning_/.test(sPage);
var display_cleaning = "none";
if(cleaning) {
	var sectiontitle = "Cleaning";
	display_cleaning = "block";
	if(sPage == 'cleaning_basiccleaning.html') { class_basiccleaning = 'menu_link_current'; }
	if(sPage == 'cleaning_chemicals.html') { class_chemicals = 'menu_link_current'; }
	if(sPage == 'cleaning_advancedcleaning.html') { class_advancedcleaning = 'menu_link_current'; }
}

// Inspection Section
var inspection = /^inspection_/.test(sPage);
var display_inspection = "none";
if(inspection) {
	var sectiontitle = "Inspection";
	display_inspection = "block";
	if(sPage == 'inspection_routine.html') { class_routineinsp = 'menu_link_current'; }
	if(sPage == 'inspection_advanced.html') { class_advancedinsp = 'menu_link_current'; }	
}

// Retirement Section
var retirement = /^retirement_/.test(sPage);
var display_retirement = "none";
if(retirement) {
	var sectiontitle = "Retirement";
	display_retirement = "block";
	if(sPage == 'retirement_guidelines.html') { class_retirement = 'menu_link_current'; }	
}

if(sectiontitle) {
	var divider_str = " &raquo; ";
}

document.write('<!DOCTYPE html>');
document.write('<html>');
document.write('<head>');
document.write('<title>Bullard NFPA 1851 Fire Helmet Training: '+sectiontitle+' - '+pagetitle+'</title>');
document.write('	<link rel="stylesheet" type="text/css" href="css/styles.css" />');
document.write('	<script src="js/jquery-1.10.2.min.js"></script>');
document.write('	<script type="text/javascript" src="js/menu_jquery.js"></script>');
document.write('	<script type="text/javascript" src="js/analytics.js"></script>');
document.write('	<script type="text/javascript" src="nfpayear.js"></script>');
document.write('</head>');
document.write('<body>');

document.write('<div id="container">');

document.write('	<div id="header">');
document.write('		<a href="index.html"><img src="images/Bullard_ribs_logo_white_trans_angle.gif" class="bullardlogo"></a>');
document.write('		<div id="coursetitlediv">NFPA 1851 Fire Helmet Training</div>');
document.write('	</div>');

document.write('	<div id="cssmenu">');

if(sPage != "test.html") {  // Don't show menu on test page
	document.write('	<ul>');

	document.write('	   <!-- <li class="active"><a href="index.html"><span>Home</span></a></li> -->');

	document.write('	   <li><a href="index.html"><span>Welcome</span></a></li>');

	document.write('	   <li class="has-sub"><a href="#"><span>NFPA 1851</span></a>');
	document.write('		  <ul style="display:'+display_nfpa1851+';">');
	document.write('			 <li><a href="nfpa1851_whatis1851.html"><span class="'+class_whatis1851+'">What is NFPA 1851?</span></a></li>');
	document.write('			 <li><a href="nfpa1851_readstandard.html"><span class="'+class_readstandard+'">Read Standard</span></a></li>');
	document.write('			 <li><a href="nfpa1851_bullardsapproach.html"><span class="'+class_bullardsapproach+'">Bullard&rsquo;s Approach</span></a></li>');
	document.write('			 <li><a href="nfpa1851_recordkeeping.html"><span class="'+class_recordkeeping+'">Record Keeping Guidelines</span></a></li>');
	document.write('			 <li class="last"><a href="nfpa1851_guidelines.html"><span class="'+class_guidelines+'">Guidelines for Selection</span></a></li>');
	document.write('		  </ul>');
	document.write('	   </li>   ');

	document.write('	   <li class="has-sub"><a href="#"><span>Cleaning</span></a>');
	document.write('		  <ul style="display:'+display_cleaning+';">');
	document.write('			 <li><a href="cleaning_basiccleaning.html"><span class="'+class_basiccleaning+'">Basic Cleaning</span></a></li>');
	document.write('			 <li><a href="cleaning_chemicals.html"><span class="'+class_chemicals+'">Chemicals</b></span></a></li>');
	document.write('			 <li class="last"><a href="cleaning_advancedcleaning.html"><span class="'+class_advancedcleaning+'">Advanced Cleaning</span></a></li>');
	document.write('		  </ul>');
	document.write('	   </li>');

	document.write('	   <li class="has-sub"><a href="#"><span>Inspection</span></a>');
	document.write('		  <ul style="display:'+display_inspection+';">');
	document.write('			 <li><a href="inspection_routine.html"><span class="'+class_routineinsp+'">Routine Inspection</span></a></li>');
	document.write('			 <li class="last"><a href="inspection_advanced.html"><span class="'+class_advancedinsp+'">Advanced Inspection</span></a></li>');
	document.write('		  </ul>');
	document.write('	   </li>   ');

	document.write('	   <li class="has-sub"><a href="#"><span>Retirement</span></a>');
	document.write('		  <ul style="display:'+display_retirement+';">');
	document.write('			 <li class="last"><a href="retirement_guidelines.html"><span class="'+class_retirement+'">Retirement Guidelines</span></a></li>');
	document.write('		  </ul>');
	document.write('	   </li>     ');

	document.write('	   <li class="last"><a href="test_proceed.html"><span>Take Test</span></a></li>');

	document.write('	</ul>');
}

document.write('	</div>');

document.write('	<div id="pagetitlebar">');
document.write('		<div style="color:#ffffff; font-family:calibri; font-size:1.2em; font-weight:bold; padding-top:3px; margin-left:240px;">'+sectiontitle+divider_str+pagetitle+'</div>');
document.write('	</div>');

document.write('	<div id="content"><br />');



