
$(function(){
	var QuizLength = '20';  // How many questions on the test
    var jQuiz = {
        answers: { q1: 'a', q2: 'a', q3: 'a', q4: 'c', q5: 'c', q6: 'c', q7: 'a', q8: 'b', q9: 'b', q10: 'b', q11: 'a', q12: 'a', q13: 'e', q14: 'a', q15: 'b', q16: 'b', q17: 'a', q18: 'b', q19: 'a', q20: 'a'},
        questionLength: 5,
        checkAnswers: function() {
            var arr = this.answers;
            var ans = this.userAnswers;
            var resultArr = []
            for (var p in ans) {
                var x = parseInt(p) + 1;
                var key = 'q' + x;
                var flag = false;
                if (ans[p] == 'q' + x + '-' + arr[key]) {
                    flag = true;
                }
                else {
                    flag = false;
                }
                resultArr.push(flag);
            }
            return resultArr;
        },
        init: function(){
            $('.btnNext').click(function(){
                if ($('input[type=radio]:checked:visible').length == 0) {
                            
                    return false;
                }
                $(this).parents('.questionContainer').fadeOut(500, function(){
                    $(this).next().fadeIn(500);
                });
                var el = $('#progress');
                el.width(el.width() + (600/QuizLength) + 'px');
            });
            $('.btnPrev').click(function(){
                $(this).parents('.questionContainer').fadeOut(500, function(){
                    $(this).prev().fadeIn(500)
                });
                var el = $('#progress');
                el.width(el.width() - (600/QuizLength) + 'px');
            })
            $('.btnShowResult').click(function(){
                var arr = $('input[type=radio]:checked');
                var ans = jQuiz.userAnswers = [];
                for (var i = 0, ii = arr.length; i < ii; i++) {
                    ans.push(arr[i].getAttribute('id'))
                }
            })
            $('.btnShowResult').click(function(){
                $('#progress').width(300);
                $('#progressKeeper').hide();
                var results = jQuiz.checkAnswers();
                var resultSet = '';
                var trueCount = 0;
                
				for (var i = 0, ii = results.length; i < ii; i++){
                    if (results[i] == true) trueCount++;
                    // resultSet += '<div> Question ' + (i + 1) + ' is ' + results[i] + '</div>'
                }
				var percentage = trueCount * (100/QuizLength);
				percentage = percentage.toFixed(0);
                // resultSet += '<div class="totalScore">Your score is ' + trueCount + ' / ' + QuizLength + '</div>';
				resultSet += '<div class="totalScore">Your score is ' + percentage + '% ('+ trueCount + ' / ' + QuizLength + ')</div>';
				
				if(percentage >= 90) {
					resultSet += '<form id="cert" action="test_certificate.html" method="GET">';
					resultSet += '<br>Congratulations, you passed the test!<br>';
					resultSet += '<br><b>Enter your name and email:</b><br><table border="0" cellpadding="7" cellspacing="0"><tr><td valign="top">Name:</td><td valign="top"><input type="text" name="name" size="30"><br><em>Name on certificate will appear as entered above</em></td></tr><tr><td valign="top">Email:</td><td valign="top"><input type="text" name="email" size="30"></td></tr></table>';
					resultSet += '<div id="ns_enc"></div>';
					resultSet += '<input type="hidden" name="percentage" value="' + percentage + '">';
					resultSet += '<a href="#" class="btnNext" style="width:300px; margin-top:15px;" onclick="validatesubmit();">Print&nbsp;Certificate</a></form>';
				}
				else { resultSet += '<br>Sorry, you did not pass the test. <a href="test.html">Try again</a><br>'; }
                $('#resultKeeper').html(resultSet).show();
            })
        }
    };
    jQuiz.init();
})